import { Position } from '../models/types';
import * as i0 from "@angular/core";
interface SwimlanePopupState {
    isOpen: boolean;
    position: Position;
    swimlaneId: string | null;
}
export declare class SwimlaneStatsService {
    private workflowState;
    private popupState;
    readonly popupStatus: import("@angular/core").Signal<SwimlanePopupState>;
    getNodeCount(swimlaneId: string): number;
    private isNodeInSwimlane;
    openPopup(position: Position, swimlaneId: string): void;
    closePopup(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SwimlaneStatsService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<SwimlaneStatsService>;
}
export {};
